diff options
author | Wesley Hearn <wesley.s.hearn@gmail.com> | 2015-12-02 16:23:36 -0500 |
---|---|---|
committer | Wesley Hearn <wesley.s.hearn@gmail.com> | 2015-12-02 16:23:36 -0500 |
commit | f7835bc727bb2a290ebc42be9e16f3d775b2588b (patch) | |
tree | e40313defb290c23963d0abddd212b951c354baa /utils | |
parent | e14da724f79e1fd75aea03bfab2179c7ef42c3e6 (diff) | |
parent | af009a7a51d7b6f5799a14c452cc7db92727135e (diff) | |
download | openshift-f7835bc727bb2a290ebc42be9e16f3d775b2588b.tar.gz openshift-f7835bc727bb2a290ebc42be9e16f3d775b2588b.tar.bz2 openshift-f7835bc727bb2a290ebc42be9e16f3d775b2588b.tar.xz openshift-f7835bc727bb2a290ebc42be9e16f3d775b2588b.zip |
Merge pull request #966 from maxamillion/fedora
Fedora changes:
Diffstat (limited to 'utils')
-rwxr-xr-x | utils/site_assets/oo-install-bootstrap.sh | 9 |
1 files changed, 8 insertions, 1 deletions
diff --git a/utils/site_assets/oo-install-bootstrap.sh b/utils/site_assets/oo-install-bootstrap.sh index e1b2cec90..3847c029a 100755 --- a/utils/site_assets/oo-install-bootstrap.sh +++ b/utils/site_assets/oo-install-bootstrap.sh @@ -9,6 +9,13 @@ cmdlnargs="$@" : ${OO_INSTALL_LOG:=${TMPDIR}/INSTALLPKGNAME.log} [[ $TMPDIR != */ ]] && TMPDIR="${TMPDIR}/" +if rpm -q dnf; +then + PKG_MGR="dnf" +else + PKG_MGR="yum" +fi + if [ $OO_INSTALL_CONTEXT != 'origin_vm' ] then clear @@ -18,7 +25,7 @@ if [ -e /etc/redhat-release ] then for i in python python-virtualenv openssh-clients gcc do - rpm -q $i >/dev/null 2>&1 || { echo >&2 "Missing installation dependency detected. Please run \"yum install ${i}\"."; exit 1; } + rpm -q $i >/dev/null 2>&1 || { echo >&2 "Missing installation dependency detected. Please run \"${PKG_MGR} install ${i}\"."; exit 1; } done fi for i in python virtualenv ssh gcc |